## xbmc 12.3+dfsg2

=== xbmc/programs/Makefile ===
SRCS=GUIViewStatePrograms.cpp \
     GUIWindowPrograms.cpp \
     
LIB=programs.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/utils/Makefile ===
SRCS=AlarmClock.cpp \
     AliasShortcutUtils.cpp \
     Archive.cpp \
     AsyncFileCopy.cpp \
     AutoPtrHandle.cpp \
     Base64.cpp \
     BitstreamConverter.cpp \
     BitstreamStats.cpp \
     CharsetConverter.cpp \
     CPUInfo.cpp \
     Crc32.cpp \
     CryptThreading.cpp \
     DatabaseUtils.cpp \
     DownloadQueue.cpp \
     DownloadQueueManager.cpp \
     EndianSwap.cpp \
     EdenVideoArtUpdater.cpp \
     Fanart.cpp \
     fastmemcpy.c \
     fastmemcpy-arm.S \
     FileOperationJob.cpp \
     FileUtils.cpp \
     fstrcmp.c \
     fft.cpp \
     GLUtils.cpp \
     GroupUtils.cpp \
     HTMLTable.cpp \
     HTMLUtil.cpp \
     HttpHeader.cpp \
     HttpParser.cpp \
     HttpResponse.cpp \
     InfoLoader.cpp \
     JobManager.cpp \
     JSONVariantParser.cpp \
     JSONVariantWriter.cpp \
     LabelFormatter.cpp \
     LangCodeExpander.cpp \
     LCD.cpp \
     LCDFactory.cpp \
     log.cpp \
     md5.cpp \
     Observer.cpp \
     Mime.cpp \
     PerformanceSample.cpp \
     PerformanceStats.cpp \
     POUtils.cpp \
     RecentlyAddedJob.cpp \
     RegExp.cpp \
     RingBuffer.cpp \
     RssReader.cpp \
     ScraperParser.cpp \
     ScraperUrl.cpp \
     Screenshot.cpp \
     SeekHandler.cpp \
     SortUtils.cpp \
     Splash.cpp \
     Stopwatch.cpp \
     StreamDetails.cpp \
     StreamUtils.cpp \
     StringUtils.cpp \
     SystemInfo.cpp \
     TextSearch.cpp \
     TimeSmoother.cpp \
     TimeUtils.cpp \
     TuxBoxUtil.cpp \
     URIUtils.cpp \
     UrlOptions.cpp \
     Variant.cpp \
     Vector.cpp \
     Weather.cpp \
     XBMCTinyXML.cpp \
     XMLUtils.cpp \

LIB=utils.a

include ../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(patsubst %.S,,$(SRCS))))

=== xbmc/video/dialogs/Makefile ===
SRCS=GUIDialogAudioSubtitleSettings.cpp \
     GUIDialogFileStacking.cpp \
     GUIDialogFullScreenInfo.cpp \
     GUIDialogTeletext.cpp \
     GUIDialogVideoBookmarks.cpp \
     GUIDialogVideoInfo.cpp \
     GUIDialogVideoOSD.cpp \
     GUIDialogVideoOverlay.cpp \
     GUIDialogVideoSettings.cpp \

LIB=videodialogs.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== tools/android/depends/mysql/Makefile ===
include ../Makefile.include
DEPS= ../Makefile.include 01-mysqlclient-cross-compile.patch 02-mysqlclient-ios.patch 03-mysqlclient-android.patch Makefile

# lib name, version
LIBNAME=mysql
VERSION=5.1.55
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=cp -f $(CONFIG_SUB) $(CONFIG_GUESS) .; \
          ./configure --prefix=$(PREFIX) --host=$(HOST) --build=$(BUILD) \
	--enable-thread-safe-client --with-extra-charsets=complex \
	--with-named-thread-libs=-lc --with-named-curses-libs=-lncurses \
	--without-readline --without-libedit \
	--without-server --without-bench --without-docs --without-man --disable-shared

LIBDYLIB=$(PLATFORM)/lib$(LIBNAME)/.libs/lib$(LIBNAME)client.a

CLEAN_FILES=$(ARCHIVE) $(PLATFORM)

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); patch -Np1 -i ../01-mysqlclient-cross-compile.patch
	cd $(PLATFORM); patch -Np1 -i ../02-mysqlclient-ios.patch
	cd $(PLATFORM); patch -Np1 -i ../03-mysqlclient-android.patch
	cd $(PLATFORM); autoconf
	cd $(PLATFORM); $(CONFIGURE) 

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)/include
	$(MAKE) -C $(PLATFORM)/libmysql

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM)/libmysql install
	$(MAKE) -C $(PLATFORM)/scripts/ install-binSCRIPTS
	$(MAKE) -C $(PLATFORM)/include/ install
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/android/depends/openssl/Makefile ===
include ../Makefile.include
DEPS= ../Makefile.include Makefile

# lib name, version
LIBNAME=openssl
VERSION=0.9.8r
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=MACHINE=$(HOST) ./config no-shared zlib no-shared --openssldir=$(PREFIX)

LIBDYLIB=$(PLATFORM)/libssl.a

CLEAN_FILES=$(ARCHIVE) $(PLATFORM)

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	rm -rf $(PLATFORM)/*; mkdir -p $(PLATFORM)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	#when compiled on darwin it just won't realise that we do crosscompiling
	#so it would stick in -arch i386 or -arch x86_64 into the cflags
	#that would break the cross compile so we have to get rid of these
	sed -ie 's/-arch i386//' $(PLATFORM)/Configure
	sed -ie 's/-arch x86_64//' $(PLATFORM)/Configure
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -j 1 -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install_sw
	touch $@

clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -f .installed-$(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== tools/darwin/depends/libGLEW/Makefile ===
include ../Makefile.include
include ../config.site.mk

# lib name, version
LIBNAME=glew
VERSION=1.7.0
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
export SYSTEM=darwin
export GLEW_DEST=$(PREFIX)
export CC.ARCH=$(CC)
export CFLAGS.ARCH=$(CFLAGS)
export LDFLAGS.ARCH=$(LDFLAGS)

LIBDYLIB=$(SOURCE)/.libs/$(LIBNAME).dylib

all: $(LIBDYLIB) .installed

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(SOURCE): $(TARBALLS_LOCATION)/$(ARCHIVE)
	rm -rf $(SOURCE)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	sed -ie "s|CC = cc|CC = $(CC.ARCH)|" "$(SOURCE)/config/Makefile.darwin"
	sed -ie "s|LD = cc|LD = $(CC.ARCH)|" "$(SOURCE)/config/Makefile.darwin"
	sed -ie "s|CFLAGS.EXTRA =|CFLAGS.EXTRA = \$(CFLAGS.ARCH)|" "$(SOURCE)/config/Makefile.darwin"
	sed -ie "s|LDFLAGS.EXTRA =|LDFLAGS.EXTRA = \$(LDFLAGS.ARCH)|" "$(SOURCE)/config/Makefile.darwin"
	echo $(SOURCE) > .gitignore

$(LIBDYLIB): $(SOURCE)
	make -j 1 -C $(SOURCE)

.installed:
	make -C $(SOURCE) install
	touch $@

clean:
	make -C $(SOURCE) clean
	rm -f .installed

distclean::
	rm -rf $(SOURCE) .installed

=== tools/darwin/depends/libbluray/Makefile ===
include ../Makefile.include

# lib name, version
LIBNAME=libbluray
VERSION=0.2.1
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.bz2

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) --exec-prefix=$(PREFIX) \
  --disable-examples --disable-doxygen-doc

LIBDYLIB=$(SOURCE)/src/.libs/$(LIBNAME).dylib

all: $(LIBDYLIB) .installed

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(SOURCE): $(TARBALLS_LOCATION)/$(ARCHIVE)
	rm -rf $(SOURCE)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	echo $(SOURCE) > .gitignore
	# libbluray has borked Makefile.am with respect to CFLAGS, remove the offending line
	sed -i -e "s|CFLAGS=|#CFLAGS=|" $(SOURCE)/src/Makefile.am
	sed -i -e "s|CFLAGS=|#CFLAGS=|" $(SOURCE)/src/examples/Makefile.am
	cd $(SOURCE); ./bootstrap
	cd $(SOURCE); $(CONFIGURE)

$(LIBDYLIB): $(SOURCE)
	make -j $(MAKE_JOBS) -C $(SOURCE)

.installed:
	make -C $(SOURCE) install
	touch $@

clean:
	make -C $(SOURCE) clean
	rm -f .installed

distclean::
	rm -rf $(SOURCE) .installed

=== tools/darwin/depends/libssh/Makefile ===
include ../Makefile.include
include ../config.site.mk

# lib name, version
LIBNAME=libssh
VERSION=0.5.0
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.gz

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX) \

LIBDYLIB=$(SOURCE)/build/src/$(LIBNAME).dylib

all: $(LIBDYLIB) .installed

$(TARBALLS_LOCATION)/$(ARCHIVE):
	$(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(SOURCE): $(TARBALLS_LOCATION)/$(ARCHIVE)
	rm -rf $(SOURCE)
	$(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	echo $(SOURCE) > .gitignore
	cd $(SOURCE); rm -rf build; mkdir -p build
	cd $(SOURCE); patch -p0 < ../removelegacy.patch
	cd $(SOURCE)/build; CC=$(CC) CXX=$(CXX) cmake        \
	  -DCMAKE_C_FLAGS:STRING="$(CPPFLAGS) $(CFLAGS)"     \
	  -DCMAKE_CXX_FLAGS:STRING="$(CPPFLAGS) $(CXXFLAGS)" \
	  -DCMAKE_INCLUDE_PATH=$(PREFIX)/include             \
	  -DCMAKE_LIBRARY_PATH=$(PREFIX)/lib                 \
	  -DCMAKE_INSTALL_NAME_DIR=$(PREFIX)/lib             \
      	  -DCMAKE_INSTALL_PREFIX=$(PREFIX) ..

$(LIBDYLIB): $(SOURCE)
	make -j 1 -C $(SOURCE)/build

.installed:
	make -C $(SOURCE)/build install
	touch $@

clean:
	rm -rf $(SOURCE) .installed

distclean::
	rm -rf $(SOURCE) .installed

=== xbmc/cores/VideoRenderers/VideoShaders/Makefile ===
SRCS=YUV2RGBShader.cpp VideoFilterShader.cpp ConvolutionKernels.cpp

LIB=VideoShaders.a

include ../../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== debian/changelog ===
xbmc (2:12.3+dfsg2-6~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Build-depend on ttf-dejavu-core instead of fonts-dejavu-core

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 27 May 2014 12:15:20 +0200

xbmc (2:12.3+dfsg2-6) unstable; urgency=low

  * Ship XBMC Addon headers in xbmc-addons-dev package
  * Don's set source dir for dh_install, rely on defaults instead
  * Fix #include directive across installed headers

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 07 May 2014 18:38:47 +0200

xbmc (2:12.3+dfsg2-5) unstable; urgency=low

  * Make package team-maintained by Debian Multimedia Maintainers.
    Debian XBMC Packaging Team which was dysfunctional since the single
    developer member of it is MIA since months.
  * Remove Andres Mejia as uploader since he is tracked as MIA.
    Thank you for maintaining the package for a long time! (Closes: #743558)
  * Use groovy.jar instead of groovy-all-1.8.6.jar to work around FTBFS
    (Closes: #744330)
  * Rebuild to depend on latest librtmp (Closes: #746435)
  * Stop shipping minified iscroll.js
  * Make xbmc depend on libjs-iscroll and use minified iscroll.js from it
  * Ignore Lintian warning about minified iScroll temporarily.
    Latest xbmc package in experimental is already fixed

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 28 Apr 2014 12:21:01 +0200

xbmc (2:12.3+dfsg2-4) unstable; urgency=low

  * Use system's libhdhomerun
  * Fix syntax error in configure patch
  * Find proper libsidplay2 and libhdhomerun at run time
  * Return to using embedded libdvdnav and libdvdread (Closes: #737545)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 19 Jan 2014 13:12:00 +0100

xbmc (2:12.3+dfsg2-3) unstable; urgency=low

  * Let configure run on all architectures
  * Remove outdated notes on using internal FFmpeg
  * Don't let Gimp use real home directory
  * Drop optional dependency on libtiff4-dev (Closes: #736049)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 18 Jan 2014 02:13:21 +0100

xbmc (2:12.3+dfsg2-2) unstable; urgency=low

  * Don't link with libvdpau on armel and armhf
  * Build on all architectures

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 17 Jan 2014 11:21:29 +0100

xbmc (2:12.3+dfsg2-1) unstable; urgency=low

  * Use system's libdvdread and libdvdnav
  * Enable building on armel
  * Use sed to set DEB_VERSION instead of passing it as a C flag
  * Build-depend on libftgl-dev (needed by ProjectM visualization plugin)
  * Depend on ttf-dejavu-core optionally to make xbmc more backports-friendly
  * Remove accidental newline
  * Drop gettext as an alternative build-dependency to autopoint
  * Re-create arial.ttf from DejaVuSans and DroidSansFallback (Closes: #735291)
  * Use jQuery from libjs-jquery package (Closes: #735238)
  * Link xbmc.bin with FTGL but leave it disabled in ProjectM plugin
  * Drop some unused embedded libraries from source
  * Repack source as 12.3+dfsg2

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 11 Jan 2014 15:19:45 +0100

xbmc (2:12.3+dfsg1-5) unstable; urgency=low

  * Fix package build breakage when screen savers are not built
  * Use system's Roboto, Vera and LiberationSerif fonts
  * Fix build with missing lib/gtest

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 11 Jan 2014 01:56:38 +0100

xbmc (2:12.3+dfsg1-4) unstable; urgency=low

  * Enable libCEC again (Closes: #696463)
  * Don's ship visualization plugins with exec bit set
    (Closes: #715603, #716134)
  * Don's ship screen savers with exec bit set
    (Closes: #715584, #715597, #715602)
  * Add Conflicts: libgl1-mesa-swx11 to xbmc-bin (Closes: #697448)
  * Register handled MIME types based on vlc.mime (Closes: #689743)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 09 Jan 2014 16:04:07 +0100

=== debian/control ===
Source: xbmc
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 7.0.50~),
 python-support,
 cmake,
 autopoint,
 autotools-dev,
 autoconf,
 automake,
 dh-autoreconf,
 unzip,
 libboost-dev,
 zip,
 libtool,
 libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libftgl-dev,
 libglew-dev,
 libmad0-dev,
 libjpeg-dev,
 libsamplerate-dev,
 libogg-dev,
 libvorbis-dev,
 libfreetype6-dev,
 libfontconfig-dev,
 libbz2-dev,
 libfribidi-dev,
 libsqlite3-dev,
 libmysqlclient-dev,
 libasound2-dev | libasound-dev,
 libpng12-dev | libpng-dev,
 libpcre3-dev,
 liblzo2-dev,
 libcdio-dev,
 libsdl-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libenca-dev,
 libjasper-dev,
 libxt-dev,
 libxmu-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libdbus-1-dev,
 libpulse-dev,
 libavahi-common-dev,
 libavahi-client-dev,
 libxrandr-dev,
 libmpeg2-4-dev,
 libass-dev (>= 0.9.8),
 libflac-dev,
 python-dev,
 gawk,
 gperf,
 nasm [i386],
 yasm,
 libcwiid-dev,
 libbluetooth-dev,
 zlib1g-dev,
 libsmbclient-dev,
 libiso9660-dev,
 libssl-dev,
 libvdpau-dev [!armel !armhf],
 libmicrohttpd-dev,
 libmodplug-dev,
 librtmp-dev,
 libcrystalhd-dev [i386 amd64],
 curl,
 libyajl-dev,
 libboost-thread-dev,
 libomxil-bellagio-dev [armel armhf],
 python-imaging,
 libplist-dev,
 libcec-dev (>= 2),
 libudev-dev,
 udev,
 libshairport-dev,
 libnfs-dev,
 libltdl-dev,
 libtiff-dev,
 libtinyxml-dev (>= 2.6.2),
 libmp3lame-dev,
 libssh-dev,
 libtag1-dev (>= 1.8),
 swig,
 default-jre,
 libbluray-dev,
 libva-dev [!armel !armhf],
 libavcodec-dev,
 libavfilter-dev,
 libavformat-dev,
 libavresample-dev,
 libavutil-dev,
 libpostproc-dev,
 libswscale-dev,
 gimp,
 groovy,
 libcommons-lang-java,
 doxygen,
 libcap-dev,
 libsidplay2-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libhdhomerun-dev,
 fontforge,
 ttf-dejavu-core,
 fonts-droid,
 ttf-bitstream-vera
Standards-Version: 3.9.3
Homepage: http://xbmc.org/
Vcs-Git: git://git.debian.org/pkg-multimedia/xbmc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xbmc.git

Package: xbmc
Architecture: all
Depends: xbmc-bin (>= ${source:Version}),
         xbmc-bin (<< ${source:Version}.1~),
         mesa-utils,
         x11-utils,
         fonts-dejavu-core | ttf-dejavu-core,
         fonts-roboto,
         libjs-jquery,
         libjs-iscroll,
         python-imaging,
         ${python:Depends},
         ${misc:Depends}
Provides: xbmc-standalone, xbmc-data, xbmc-skin-confluence, xbmc-live
Replaces: xbmc-standalone, xbmc-data, xbmc-skin-confluence, xbmc-live
Breaks: xbmc-standalone (<< 2:11.0~git20111222.22ad8e4),
        xbmc-data (<< 2:11.0~git20111222.22ad8e4),
        xbmc-skin-confluence (<< 2:11.0~git20111222.22ad8e4)
Description: XBMC Media Center (arch-independent data package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working XBMC.

Package: xbmc-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${dlopenlibs:Depends},
         ${misc:Depends}
Recommends: ${shlibs:Recommends}
Provides: xbmc-common
Replaces: xbmc-common
Conflicts: xbmc-common, libgl1-mesa-swx11
Description: XBMC Media Center (binary data package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the binary data needed to have a working XBMC.

Package: xbmc-eventclients-common
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: XBMC Media Center (Event Client Common package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for XBMC Event Client.

Package: xbmc-eventclients-dev
Architecture: all
Section: libdevel
Depends: xbmc-eventclients-common (= ${binary:Version}),
         ${misc:Depends}
Description: XBMC Media Center (Event Client Dev package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This is the Development package for XBMC Event Client.

Package: xbmc-eventclients-wiiremote
Architecture: any
Depends: xbmc-eventclients-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: XBMC Media Center (Event Client WII Remote support package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the Wii Remote client package for XBMC.

Package: xbmc-eventclients-j2me
Architecture: all
Depends: xbmc-eventclients-common (= ${binary:Version}),
         ${python:Depends},
         python-bluez | python-lightblue,
         ${misc:Depends}
Description: XBMC Media Center (Event Client J2ME package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, XBMC feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the J2ME package for XBMC Event Client. This is meant to
 provide a server that communicate with a mobile tool supporting Java ME.

Package: xbmc-eventclients-ps3
Architecture: all
Depends: xbmc-eventclients-common (= ${binary:Version}),
         python-bluez | python-lightblue,
         ${python:Depends},
         ${misc:Depends}
Description: XBMC Media Center (Event Client PS3 package)
 XBMC, recursive acronym for "XBMC Media Center", is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. XBMC is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, XBMC is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to XBMC, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While XBMC functions very well as a standard media player application for

=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Set this variable to yes for release builds to disable debugging and enable
# optimizations.
# NOTE: DEB_BUILD_OPTIONS must have 'nostrip' otherwise debugging symbols will
# be stripped from binaries.
XBMC_RELEASE ?= yes
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
XBMC_RELEASE ?= no
endif

# Whether we're building for release or not
ifeq (yes,$(XBMC_RELEASE))
  DEBUG_OPTIONS = --disable-debug --enable-optimizations
else
  DEBUG_OPTIONS = --enable-debug --disable-optimizations
endif

ifeq (,$(filter i386 amd64,$(DEB_HOST_ARCH)))
  ARCH_SPECIFIC_OPTIONS = --disable-crystalhd
else
  ARCH_SPECIFIC_OPTIONS = --enable-crystalhd
  ARCH_SPECIFIC_LIB_RECOMMENDS = -lcrystalhd
endif

# Enable gles for armel and armhf
# Also disable VDPAU and VAAPI there since they break the build with gles
ifeq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
GL_CONFIG_OPTIONS = --enable-gl --disable-gles --enable-vdpau
ARCH_SPECIFIC_LIB_RECOMMENDS += -lvdpau
else
GL_CONFIG_OPTIONS = --disable-gl --enable-gles --disable-vdpau \
                    --disable-vaapi
endif

# Various environment variables to set
DEB_CFLAGS ?=  $(shell dpkg-buildflags --get CPPFLAGS) \
  $(filter-out -g -O2, $(shell dpkg-buildflags --get CFLAGS))
DEB_CXXFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS) \
  $(filter-out -g -O2, $(shell dpkg-buildflags --get CXXFLAGS))
DEB_LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS) $(shell pkg-config --libs ftgl)
ENV_OPTIONS = CFLAGS="$(DEB_CFLAGS)" CXXFLAGS="$(DEB_CXXFLAGS)" \
  LDFLAGS="$(DEB_LDFLAGS)"

# List of options to pass to configure. Can be overridden.
# Extra options can simply be passed using XBMC_CONFIG_EXTRA_OPTIONS env
# variable.
XBMC_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
  --build=$(DEB_BUILD_GNU_TYPE) \
  --prefix=/usr --docdir=/usr/share/doc/xbmc \
  $(DEBUG_OPTIONS) \
  $(GL_CONFIG_OPTIONS) \
  --disable-vdadecoder \
  --disable-vtbdecoder \
  --disable-openmax \
  --disable-tegra \
  --disable-profiling \
  --enable-joystick \
  --enable-xrandr \
  --disable-pulse \
  --enable-rtmp \
  --enable-ffmpeg-libvorbis \
  --disable-mid \
  --disable-hal \
  --enable-avahi \
  --disable-asap-codec \
  --enable-webserver \
  --enable-optical-drive \
  --enable-texturepacker \
  --enable-nfs \
  --enable-libcec \
  --disable-afpclient \
  --enable-airtunes \
  --enable-external-libraries \
  --enable-external-ffmpeg \
  --disable-dependency-tracking \
  --disable-dvdcss \
  --disable-non-free \
  --disable-gtest \
  $(ARCH_SPECIFIC_OPTIONS) \
  $(XBMC_CONFIG_EXTRA_OPTIONS) \
  $(ENV_OPTIONS)

# Use --parallel option only if debhelper supports it
DH_PARALLEL_OPT=$(shell dh_testdir --parallel 2>/dev/null && echo "--parallel")

# Used to show what config options are enabled
show-xbmc-config-options:
	$(info $(XBMC_CONFIG_OPTIONS))

%:
	dh $@ --with autoreconf $(DH_PARALLEL_OPT)

override_dh_clean:
	dh_clean libtool xbmc/config.h xbmc/stamp-h1
	find . -name config.status -o -name config.cache -o -name config.log \
		-exec rm -f "{}" \;

# Use package's version in XBMC
VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: \(.*\)/\1/p')
GIMP_FAKE_HOMEDIR = $(CURDIR)/debian/tmp/home/user

override_dh_auto_configure: configure
	sed -i 's/DEB_VERSION/"'$(VERSION)'"/' xbmc/GUIInfoManager.cpp
	mkdir -p xbmc/visualizations/XBMCProjectM/libprojectM/fonts
	-ln -s /usr/share/fonts/truetype/ttf-bitstream-vera/Vera.ttf xbmc/visualizations/XBMCProjectM/libprojectM/fonts/
	-ln -s /usr/share/fonts/truetype/ttf-bitstream-vera/VeraMono.ttf xbmc/visualizations/XBMCProjectM/libprojectM/fonts/
	fontforge -script $(CURDIR)/debian/mergefonts.ff \
		/usr/share/fonts/truetype/droid/DroidSansFallbackFull.ttf \
		/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf \
		$(CURDIR)/media/Fonts/arial.ttf
	./bootstrap
	./configure $(XBMC_CONFIG_OPTIONS)
	# Add Debian related notes to XBMC's original logo
	mkdir -p $(GIMP_FAKE_HOMEDIR)
	HOME=$(GIMP_FAKE_HOMEDIR) GIMP2_DIRECTORY=$(GIMP_FAKE_HOMEDIR)/.gimp-dir gimp -i -b '(load "debian/xcf2png.scm") (xcf2png "debian/xbmc-logo.xcf" "addons/skin.confluence/media/xbmc-logo.png") (gimp-quit 0)'

override_dh_auto_install:
	$(MAKE) -C lib/addons/script.module.pil
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) eventclients DESTDIR=$(CURDIR)/debian/tmp \
		WII_EXTRA_OPTS=-DCWIID_OLD
	mkdir -p $(CURDIR)/debian/tmp/usr/include/xbmc
	sed 's|../library.xbmc.addon/|xbmc/|' addons/library.xbmc.gui/libXBMC_gui.h > \
		$(CURDIR)/debian/tmp/usr/include/xbmc/libXBMC_gui.h
	sed 's|../library.xbmc.addon/|xbmc/|' addons/library.xbmc.pvr/libXBMC_pvr.h > \
		$(CURDIR)/debian/tmp/usr/include/xbmc/libXBMC_pvr.h

override_dh_install:
	dh_install -XLICENCE \
		-XLicence.txt -XLicense.txt -XLiberationSans-Regular.ttf \
		-XDejaVuSans.ttf -XDejaVuSans-Bold.ttf -XLICENSE.txt \
		-XRoboto-Bold.ttf -XRoboto-Regular.ttf -XNOTICE.txt \
		-Xjquery-1.8.2.min.js -Xiscroll-min.js

override_dh_makeshlibs:
	# We don't install shared libraries in standard locations so don't run
	# dh_makeshlibs
	# OTOH we need to remove exec flag after dh_strip
	chmod -x $(CURDIR)/debian/tmp/usr/lib/xbmc/addons/visualization.*/*.vis
	-chmod -x $(CURDIR)/debian/tmp/usr/lib/xbmc/addons/screensaver.rsxs.*/*.xbs

override_dh_shlibdeps: debian/tmp/xbmc-bin-depends-dummy.so debian/tmp/xbmc-bin-recommends-dummy.so
	dh_shlibdeps -a -O--parallel \
		-l$(CURDIR)/debian/xbmc-bin/usr/lib/xbmc/system/players/dvdplayer
	# Need to manually add dependencies for dlopened libs.
	dpkg-shlibdeps -pdlopenlibs -edebian/tmp/xbmc-bin-depends-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars
	dpkg-shlibdeps -dRecommends -edebian/tmp/xbmc-bin-recommends-dummy.so -xlibc6 -O >>debian/xbmc-bin.substvars

debian/tmp/xbmc-bin-depends-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lcurl-gnutls

debian/tmp/xbmc-bin-recommends-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lass \
		-lbluray \
		-lcec \
		-lFLAC \
		-lhdhomerun \
		-lmad \
		-lmodplug \
		-lmp3lame \
		-lmpeg2 \
		-lnfs \
		-logg \
		-lplist \
		-lrtmp \
		-lshairport \
		-lvorbis \
		-lvorbisenc \
		-lvorbisfile \
		$(ARCH_SPECIFIC_LIB_RECOMMENDS)

# Get original XBMC source and cut not needed bits.
# Based on https://github.com/xbmc/xbmc-packaging/blob/master/xbmc-get-orig-source
ORIG_SRC_DIR := debian/tmp-src-dir
UPSTREAM_VER ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9]:)?([0-9.]+)(\+dfsg\d+)?.*$$/\2/p')
DFSG_VER = $(UPSTREAM_VER)+dfsg1

get-orig-source:
	mkdir -p $(ORIG_SRC_DIR)
	wget -O $(ORIG_SRC_DIR)/xbmc-orig.tar.gz http://mirrors.xbmc.org/releases/source/xbmc-$(UPSTREAM_VER).tar.gz
	tar -C $(ORIG_SRC_DIR) -xf $(ORIG_SRC_DIR)/xbmc-orig.tar.gz
	rm $(ORIG_SRC_DIR)/xbmc-orig.tar.gz
	# Remove non-free components
	find $(ORIG_SRC_DIR)/* -depth \( -iname '*dvdcss*' -o -iname '*unrar*' \) -exec rm -rf "{}" \;
	# Remove components not needed for Linux
	rm -rf $(ORIG_SRC_DIR)/*/lib/afpfs-ng \
		$(ORIG_SRC_DIR)/*/lib/enca \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/jasper \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/jbig \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/jpeg \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/mng \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/png \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/tiff \
		$(ORIG_SRC_DIR)/*/lib/cximage-6.0/zlib \
		$(ORIG_SRC_DIR)/*/lib/freetype \
		$(ORIG_SRC_DIR)/*/lib/gtest \
		$(ORIG_SRC_DIR)/*/lib/libUPnP/Neptune/ThirdParty/zlib-1.2.3 \
		$(ORIG_SRC_DIR)/*/lib/libass \
		$(ORIG_SRC_DIR)/*/lib/libbluray \
		$(ORIG_SRC_DIR)/*/lib/libcec \
		$(ORIG_SRC_DIR)/*/lib/libhdhomerun \
		$(ORIG_SRC_DIR)/*/lib/liblame \
		$(ORIG_SRC_DIR)/*/lib/libmad \
		$(ORIG_SRC_DIR)/*/lib/libmicrohttpd \
